# template: foreman_plugin
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name foreman_rh_cloud
%global plugin_name rh_cloud
%global foreman_min_version 1.20

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.9.4.1
Release: 2%{?foremandist}%{?dist}
Summary: Adds ability to upload hosts managed in Foreman to Red Hat cloud inventory
Group: Applications/Systems
License: GPLv3
URL: https://github.com/theforeman/foreman_rh_cloud
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1: http://dogfood.sat.engineering.redhat.com/pulp/isos/Sat6-CI/Library/custom/Source_Files/Satellite_6_6_Source_Files/node-modules-%{gem_name}-%{version}.tar.gz

# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(katello)
Requires: %{?scl_prefix}rubygem(redhat_access)
BuildRequires: foreman-assets >= %{foreman_min_version}
BuildRequires: foreman-plugin >= %{foreman_min_version}
BuildRequires: %{?scl_prefix}rubygem(katello)
BuildRequires: %{?scl_prefix}rubygem(redhat_access)
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}ruby
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
Provides: foreman-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies

Provides: %{?scl_prefix}rubygem-foreman_inventory_upload
Obsoletes: %{?scl_prefix}rubygem-foreman_inventory_upload

%description
Foreman plugin that process & upload data to cloud based host inventory.


%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

tar -zxf %{SOURCE1}
find node_modules -type f -perm /u+x,g+x,o+x -exec chmod -x '{}' \;
mv node_modules/ %{buildroot}%{gem_dir}/

%foreman_bundlerd_file
%foreman_precompile_plugin -s
rm -f %{buildroot}%{foreman_webpack_plugin}/*.js.map

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_instdir}/package.json
%exclude %{gem_instdir}/webpack
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_plugin}
%{foreman_webpack_plugin}
%exclude %{gem_dir}/node_modules
%{foreman_webpack_foreman}
%exclude %{foreman_assets_plugin}/%{gem_name}.json
%{foreman_assets_plugin}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%posttrans
%{foreman_restart}
exit 0

%changelog
* Mon Apr 06 2020 Patrick Creech <pcreech@redhat.com> - 0.9.4.1-2
- BZ#1819911 Provide rubygem-foreman_inventory_upload

* Tue Mar 31 2020 Patrick Creech <pcreech@redhat.com> - 0.9.4.1-1
- Release rubygem-foreman_rh_cloud 0.9.4.1

* Thu Mar 19 2020 Eric D. Helms <ericdhelms@gmail.com> - 0.9.4-1
- Release 0.9.4
